## MMCdmaManualActivationProperties MMCdmaManualActivationProperties — Helper object to handle manual CDMA activation properties. |

## Functions

MMCdmaManualActivationProperties * | mm_cdma_manual_activation_properties_new ()
const gchar * | mm_cdma_manual_activation_properties_get_spc ()
gboolean | mm_cdma_manual_activation_properties_set_spc ()
guint16 | mm_cdma_manual_activation_properties_get_sid ()
void | mm_cdma_manual_activation_properties_set_sid ()
const gchar * | mm_cdma_manual_activation_properties_get_mdn ()
gboolean | mm_cdma_manual_activation_properties_set_mdn ()
const gchar * | mm_cdma_manual_activation_properties_get_min ()
gboolean | mm_cdma_manual_activation_properties_set_min ()
const gchar * | mm_cdma_manual_activation_properties_get_mn_ha_key ()
gboolean | mm_cdma_manual_activation_properties_set_mn_ha_key ()
const gchar * | mm_cdma_manual_activation_properties_get_mn_aaa_key ()
gboolean | mm_cdma_manual_activation_properties_set_mn_aaa_key ()
const guint8 * | mm_cdma_manual_activation_properties_get_prl ()
GByteArray * | mm_cdma_manual_activation_properties_peek_prl_bytearray ()
GByteArray * | mm_cdma_manual_activation_properties_get_prl_bytearray ()
gboolean | mm_cdma_manual_activation_properties_set_prl ()
gboolean | mm_cdma_manual_activation_properties_set_prl_bytearray ()

## Types and Values

struct | MMCdmaManualActivationProperties

## Object Hierarchy

        GObject
        ╰── MMCdmaManualActivationProperties

## Description

The MMCdmaManualActivationProperties is an object handling the properties required during a manual CDMA activation request.

## Functions

### mm_cdma_manual_activation_properties_new ()

    MMCdmaManualActivationProperties *
    mm_cdma_manual_activation_properties_new
                                   (void);

Creates a new MMCdmaManualActivationProperties object.

#### Returns

A MMCdmaManualActivationProperties. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.2

### mm_cdma_manual_activation_properties_get_spc ()

    const gchar *
    mm_cdma_manual_activation_properties_get_spc
                                   (MMCdmaManualActivationProperties *self);

Gets the Service Programming Code.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The SPC. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_set_spc ()

    gboolean
    mm_cdma_manual_activation_properties_set_spc
                                   (MMCdmaManualActivationProperties *self,
                                    const gchar *spc,
                                    GError **error);

Sets the Service Programming Code.

#### Parameters

self | A MMCdmaManualActivationProperties. |
spc | The SPC string, exactly 6 digits. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the SPC was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_get_sid ()

    guint16
    mm_cdma_manual_activation_properties_get_sid
                                   (MMCdmaManualActivationProperties *self);

Gets the System Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The SID.

Since: 1.2

### mm_cdma_manual_activation_properties_set_sid ()

    void
    mm_cdma_manual_activation_properties_set_sid
                                   (MMCdmaManualActivationProperties *self,
                                    guint16 sid);

Sets the Service Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |
sid | The SID. |

Since: 1.2

### mm_cdma_manual_activation_properties_get_mdn ()

    const gchar *
    mm_cdma_manual_activation_properties_get_mdn
                                   (MMCdmaManualActivationProperties *self);

Gets the Mobile Directory Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The MDN. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_set_mdn ()

    gboolean
    mm_cdma_manual_activation_properties_set_mdn
                                   (MMCdmaManualActivationProperties *self,
                                    const gchar *mdn,
                                    GError **error);

Sets the Mobile Directory Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |
mdn | The MDN string, maximum 15 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the MDN was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_get_min ()

    const gchar *
    mm_cdma_manual_activation_properties_get_min
                                   (MMCdmaManualActivationProperties *self);

Gets the Mobile Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The MIN. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_set_min ()

    gboolean
    mm_cdma_manual_activation_properties_set_min
                                   (MMCdmaManualActivationProperties *self,
                                    const gchar *min,
                                    GError **error);

Sets the Mobile Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |
min | The MIN string, maximum 15 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the MIN was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_get_mn_ha_key ()

    const gchar *
    mm_cdma_manual_activation_properties_get_mn_ha_key
                                   (MMCdmaManualActivationProperties *self);

Gets the MN-HA key.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The MN-HA key. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_set_mn_ha_key ()

    gboolean
    mm_cdma_manual_activation_properties_set_mn_ha_key
                                   (MMCdmaManualActivationProperties *self,
                                    const gchar *mn_ha_key,
                                    GError **error);

Sets the Mobile Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |
mn_ha_key | The MN-HA key string, maximum 16 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the MN-HA key was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_get_mn_aaa_key ()

    const gchar *
    mm_cdma_manual_activation_properties_get_mn_aaa_key
                                   (MMCdmaManualActivationProperties *self);

Gets the MN-AAA key.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

The MN-AAA key. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_set_mn_aaa_key ()

    gboolean
    mm_cdma_manual_activation_properties_set_mn_aaa_key
                                   (MMCdmaManualActivationProperties *self,
                                    const gchar *mn_aaa_key,
                                    GError **error);

Sets the Mobile Identification Number.

#### Parameters

self | A MMCdmaManualActivationProperties. |
mn_aaa_key | The MN-AAA key string, maximum 16 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the MN-AAA key was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_get_prl ()

    const guint8 *
    mm_cdma_manual_activation_properties_get_prl
                                   (MMCdmaManualActivationProperties *self,
                                    gsize *prl_len);

Gets the Preferred Roaming List.

#### Parameters

self | A MMCdmaManualActivationProperties. |
prl_len | Size of the returned PRL. | [out]

#### Returns

The PRL. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_peek_prl_bytearray ()

    GByteArray *
    mm_cdma_manual_activation_properties_peek_prl_bytearray
                                   (MMCdmaManualActivationProperties *self);

Gets the Preferred Roaming List.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

A GByteArray with the PRL, or `NULL` if it doesn't contain any. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_cdma_manual_activation_properties_get_prl_bytearray ()

    GByteArray *
    mm_cdma_manual_activation_properties_get_prl_bytearray
                                   (MMCdmaManualActivationProperties *self);

Gets the Preferred Roaming List.

#### Parameters

self | A MMCdmaManualActivationProperties. |

#### Returns

A GByteArray with the PRL, or `NULL` if it doesn't contain any. The returned value should be freed with `g_byte_array_unref()`.

[transfer full]

Since: 1.2

### mm_cdma_manual_activation_properties_set_prl ()

    gboolean
    mm_cdma_manual_activation_properties_set_prl
                                   (MMCdmaManualActivationProperties *self,
                                    const guint8 *prl,
                                    gsize prl_length,
                                    GError **error);

Sets the Preferred Roaming List.

#### Parameters

self | A MMCdmaManualActivationProperties. |
prl | The PRL. |
prl_length | Length of `prl` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the PRL was successfully set, or `FALSE` if `error` is set.

Since: 1.2

### mm_cdma_manual_activation_properties_set_prl_bytearray ()

    gboolean
    mm_cdma_manual_activation_properties_set_prl_bytearray
                                   (MMCdmaManualActivationProperties *self,
                                    GByteArray *prl,
                                    GError **error);

Sets the Preferred Roaming List.

#### Parameters

self | A MMCdmaManualActivationProperties. |
prl | A GByteArray with the PRL to set. This method takes a new reference of `prl` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the PRL was successfully set, or `FALSE` if `error` is set.

Since: 1.2

## Types and Values

### struct MMCdmaManualActivationProperties

    struct MMCdmaManualActivationProperties;

The MMCdmaManualActivationProperties structure contains private data and should only be accessed using the provided API.